<!--
/*
 *  Copyright 2012 by Texas Instruments Incorporated .
 *  
 */
-->

<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>Linux Utils Application Programming Interface (API): Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li class="current"><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all struct and union fields with links to the structures/unions they belong to:<ul>
<li>addr
: <a class="el" href="struct_s_d_m_a___channel_descriptor.html#ab48ff4a246ac1517ed6a5a3a1cadec00">SDMA_ChannelDescriptor</a>
</li>
<li>alignment
: <a class="el" href="struct_c_m_e_m___alloc_params.html#a7b391e5ff79a906f4fc7a48726075c2d">CMEM_AllocParams</a>
</li>
<li>channel
: <a class="el" href="union_s_d_m_a__request_dma_params.html#aa4d46ae06b0f849aaf2b8851d0e378ce">SDMA_requestDmaParams</a>
</li>
<li>chanNum
: <a class="el" href="struct_s_d_m_a___channel_descriptor.html#abab29286c016a08f4dc24177eb239ab4">SDMA_ChannelDescriptor</a>
</li>
<li>checkPending
: <a class="el" href="struct_s_d_m_a__transfer_state.html#ad2bc3d249d4d59e78dde3f08c2fff709">SDMA_transferState</a>
</li>
<li>flags
: <a class="el" href="struct_c_m_e_m___alloc_params.html#aea56808521a5b2235f23387609c8a710">CMEM_AllocParams</a>
</li>
<li>phys_base
: <a class="el" href="struct_c_m_e_m___block_attrs.html#aa845006d687527958e256bb6d4c937f6">CMEM_BlockAttrs</a>
</li>
<li>ptransferState
: <a class="el" href="union_s_d_m_a__request_dma_params.html#a494e6568034c9189ecda66624a8a94cf">SDMA_requestDmaParams</a>
</li>
<li>size
: <a class="el" href="struct_c_m_e_m___block_attrs.html#aff4994a13753c287ef5d097b51d443d0">CMEM_BlockAttrs</a>
</li>
<li>transferCompleted
: <a class="el" href="struct_s_d_m_a__transfer_state.html#ae896cd763b8e0ee7d714f1f10b76043f">SDMA_transferState</a>
</li>
<li>transferState
: <a class="el" href="struct_s_d_m_a___channel_descriptor.html#afcea0f4786a8108713a83586335c7cfe">SDMA_ChannelDescriptor</a>
</li>
<li>type
: <a class="el" href="struct_c_m_e_m___alloc_params.html#a8da4d2baae4c5afd744e018d8ff5e9b5">CMEM_AllocParams</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
<!--
/*
 * @(#) linuxutils_3_23_00_01; 1, 0, 0,1; 5-30-2012 11:51:36; /db/atree/library/trees/linuxutils/linuxutils-l01/src/ xlibrary

 */
-->

